<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckPermission
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     * @param  string  $permission
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function handle(Request $request, Closure $next, $permission): Response
    {
        // Retrieve permissions from the session
        $permissions = session('permissions', []);
        
        // Check if the user has the required permission
        if (!in_array($permission, $permissions)) {
            // If not, abort with a 403 Forbidden response
            return abort(403, 'Unauthorized');
        }

        // If the user has the required permission, proceed with the request
        return $next($request);
    }
}
