@extends('admin.layout.main')
@section('content')
    @push('styles')
        <!-- Vertical Timeline css -->
        <link href="{{ asset('assets/assets/plugins/vertical-timeline/vertical-timeline.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/assets/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/assets/css/icons.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/assets/css/flag-icon.min.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/assets/css/style.css') }}" rel="stylesheet" type="text/css">
    @endpush
    <div class="breadcrumbbar">
        <div class="row align-items-center">
            <div class="col-md-8 col-lg-8">
                <h4 class="page-title">Timeline</h4>
                <div class="breadcrumb-list">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('label_list') }}">Leads</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Timeline</li>
                    </ol>
                </div>
            </div>
            <div class="col-md-4 col-lg-4">
                <div class="widgetbar">
                    <button class="btn btn-primary-rgba"><i class="feather icon-plus mr-2"></i>Actions</button>
                </div>
            </div>
        </div>
    </div>
    <div class="contentbar">
        <div class="card m-b-30">
            <section class="timeline timeline-js" style="margin: 0px">
                <div class="timeline-container">


                    @foreach ($lead['feedbacks'] as $feedback)
                        <div class="timeline-block block-js">
                            <div class="timeline-img timeline-img-primary img-js">
                                <i class="feather icon-flag"></i>
                            </div>
                            <div class="timeline-content content-js">
                                <h4 style="width: 100%">Added by {{ $lead['lead_manager'] }}</h4>
                                <p>{{ $feedback['feedback_text'] }}</p>
                                <span
                                    class="timeline-date">{{ \Carbon\Carbon::parse($feedback['follow_up_time'])->format('d M Y, h:i A') }}</span>
                            </div>
                        </div>
                    @endforeach

                    
                   


                </div>
            </section>
        </div>
    </div>


    @push('scripts')
        <script src="{{ asset('assets/assets/js/jquery.min.js') }}"></script>
        <script src="{{ asset('assets/assets/js/popper.min.js') }}"></script>
        <script src="{{ asset('assets/assets/js/bootstrap.min.js') }}"></script>
        <script src="{{ asset('assets/assets/js/modernizr.min.js') }}"></script>
        <script src="{{ asset('assets/assets/js/detect.js') }}"></script>
        <script src="{{ asset('assets/assets/js/jquery.slimscroll.js') }}"></script>
        <script src="{{ asset('assets/assets/js/vertical-menu.js') }}"></script>
        <!-- Switchery js -->
        <script src="{{ asset('assets/assets/plugins/switchery/switchery.min.js') }}"></script>
        <!-- Timeline js -->
        <script src="{{ asset('assets/assets/plugins/vertical-timeline/vertical-timeline.js') }}"></script>
    @endpush
@endsection
