<?php $__env->startSection('content'); ?>
    <?php $__env->startPush('meta'); ?>
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php $__env->stopPush(); ?>

    <?php $__env->startPush('styles'); ?>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
    <?php $__env->stopPush(); ?>

    <!-- Start Breadcrumbbar -->
    <div class="breadcrumbbar">
        <div class="row align-items-center">
            <div class="col-md-8 col-lg-8">
                <div class="breadcrumb-list">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('home')); ?>">Home</a></li>
                        <li class="breadcrumb-item"><a href="<?php echo e(route('courses_list')); ?>">Courses</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Courses List</li>
                    </ol>
                </div>
            </div>
            <div class="col-md-4 col-lg-4">
                <div class="widgetbar">
                    <button class="btn btn-primary-rgba" id="createCategory">Add Courses</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Start Contentbar -->
    <div class="contentbar">
        <div class="row">
            <div class="col-lg-12">
                <div class="card m-b-30">
                    <div class="card-header">
                        <h5 class="card-title">Courses Table</h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive" style="overflow-x: scroll">
                            <table id="courses-table" class="table-bordered category-table display table">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Course Name</th>
                                        <th>Course Description</th>
                                        <th style="width: 250px">Course Abbreviation</th>
                                        <th style="width: 150px">Action</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Add Course Modal -->
    <div class="modal fade" id="createCourseModal" tabindex="-1" role="dialog" aria-labelledby="createCourseModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createCourseModalLabel">Add Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="createCourseForm">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="course-name">Course Name</label>
                            <input type="text" class="form-control" id="course-name" name="name" required>
                        </div>
                        <div class="form-group">
                            <label for="course-abbreviation">Course Abbreviation</label>
                            <input type="text" class="form-control" id="course-abbreviation" name="abbreviation" required
                                maxlength="6">
                        </div>
                        <div class="form-group">
                            <label for="course-description">Course Description</label>
                            <textarea class="form-control" id="course-description" name="description" rows="3" required></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Add Course</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <!-- Update Course Modal -->
    <div class="modal fade" id="updateCourseModal" tabindex="-1" role="dialog" aria-labelledby="updateCourseModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="updateCourseModalLabel">Update Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="updateCourseForm">
                    <div class="modal-body">
                        <input type="hidden" id="course_id" name="course_id">
                        <div class="form-group">
                            <label for="course_name">Course Name</label>
                            <input type="text" class="form-control" id="course_name" name="name" required>
                        </div>
                        <div class="form-group">
                            <label for="course_abbreviation">Course Abbreviation</label>
                            <input type="text" class="form-control" id="course_abbreviation" name="abbreviation"
                                required maxlength="6">
                        </div>
                        <div class="form-group">
                            <label for="course_description">Course Description</label>
                            <textarea class="form-control" id="course_description" name="description" rows="3" required></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <?php $__env->startPush('scripts'); ?>
        <script>
            $(document).ready(function() {
                var table = $('#courses-table').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: '<?php echo e(route('courses_list')); ?>',
                    columns: [{
                            data: 'id',
                            name: 'id'
                        },
                        {
                            data: 'name',
                            name: 'name'
                        },
                        {
                            data: 'description',
                            name: 'description'
                        },
                        {
                            data: 'abbreviation',
                            name: 'abbreviation'
                        },
                        {
                            data: null,
                            name: 'action',
                            render: function(data, type, row) {
                                return `
                        <button type="button" class="btn btn-round btn-secondary" data-id="${row.id}" id="editCourse"><i class="feather icon-edit"></i></button>
                        <button type="button" class="btn btn-round btn-danger" data-id="${row.id}" id="deleteCourse"><i class="feather icon-trash-2"></i></button>
                    `;
                            }
                        }
                    ]
                });

                $('body').on('click', '#deleteCourse', function() {
                    var id = $(this).data('id');

                    Swal.fire({
                        title: 'Are you sure?',
                        text: "You won't be able to revert this!",
                        
                        showCancelButton: true,
                        confirmButtonText: 'Yes, delete it!',
                        cancelButtonText: 'No, cancel!',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            $.ajax({
                                type: "DELETE",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                url: "<?php echo e(route('courses.delete', ['id' => ':id'])); ?>"
                                    .replace(':id', id),
                                success: function(response) {
                                    table.ajax.reload(); // Reload the DataTable
                                    Swal.fire('Deleted!', 'The course has been deleted.',
                                        'success');
                                },
                                error: function(xhr) {
                                    // Extract the error message from the response
                                    var errorMessage = 'Course is user in Leads';
                                    if (xhr.responseJSON && xhr.responseJSON.message) {
                                        errorMessage = xhr.responseJSON.message;
                                    }

                                    Swal.fire('Error!', errorMessage, 'error');
                                }
                            });
                        }
                    });
                });


                $('#createCategory').on('click', function() {
                    $('#createCourseModal').modal('show');
                });

                $('#createCourseForm').on('submit', function(e) {
                    e.preventDefault();
                    var $submitButton = $(this).find('button[type="submit"]');
                    $submitButton.prop('disabled', true);
                    $.ajax({
                        type: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        url: "<?php echo e(route('courses.store')); ?>",
                        data: $(this).serialize(),
                        success: function(response) {
                            if (response.success) {
                                $('#createCourseModal').modal('hide');
                                $('#courses-table').DataTable().ajax.reload();
                                Swal.fire('Added!', 'The course has been added.', 'success');
                                $('#createCourseForm')[0].reset();
                            } else {
                                Swal.fire('Error!', response.message, 'error');
                            }
                        },
                        error: function(xhr) {
                            let message = 'Something went wrong.';
                            if (xhr.responseJSON && xhr.responseJSON.message) {
                                message = xhr.responseJSON.message;
                            }
                            Swal.fire('Error!', message, 'error');
                        },
        complete: function() {
            // Re-enable the submit button after the request is complete
            $submitButton.prop('disabled', false);
        }
                    });
                });



                // Handle edit button click
                $('body').on('click', '#editCourse', function() {
                    var id = $(this).data('id');
             
                    $.ajax({
                        type: "GET",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        url: "<?php echo e(route('courses.update_form', ['id' => ':id'])); ?>".replace(':id', id),
                        success: function(response) {
                            if (response.status == 404) {
                                Swal.fire('Error!', response.message, 'error');
                                $('#updateCourseModal').modal('hide');
                            } else {
                                var course = response.course;
                                $('#course_id').val(course.course.id);
                                $('#course_name').val(course.course.name);
                                $('#course_description').val(course.course.description);
                                $('#course_abbreviation').val(course.course.abbreviation);
                                $('#updateCourseModal').modal('show');
                            }
                        },
                        error: function(xhr) {
                            Swal.fire('Error!', 'Something went wrong.', 'error');
                        }
                    });
                });

                // Handle update form submission
                $('#updateCourseForm').on('submit', function(e) {
                    e.preventDefault();
                    var id = $('#course_id').val();
                    var $submitButton = $(this).find('button[type="submit"]');
                    $submitButton.prop('disabled', true);
                    $.ajax({
                        type: 'PUT',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        url: "<?php echo e(route('courses.update', ['id' => ':id'])); ?>".replace(':id', id),
                        data: $(this).serialize(),
                        success: function(response) {
                            if (response.success) {
                                $('#updateCourseModal').modal('hide');
                                $('#courses-table').DataTable().ajax.reload();
                                Swal.fire('Updated!', 'The course has been updated.', 'success');
                                $('#updateCourseForm')[0].reset();
                            } else {
                                Swal.fire('Error!', response.message, 'error');
                            }
                        },
                        error: function(xhr) {
                            Swal.fire('Error!', 'Something went wrong.', 'error');
                        },
        complete: function() {
            // Re-enable the submit button after the request is complete
            $submitButton.prop('disabled', false);
        }
                    });
                });
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/microsolscom/public_html/bhangra/resources/views/admin/courses/courses_list.blade.php ENDPATH**/ ?>